Kerbal Space Program - Bug #17573

Target is automatically unset, resetting maneuver partway through burn
02/24/2018 04:24 AM - nathan1

Status: New Start date: 02/24/2018
Severity: High % Done: 0%
Assignee:

Category: Gameplay

Target version:
Description

1. Enter 100km circular Kerbin orbit

2. Set Duna as target

3. create maneuver node for ejection from Kerbin to an intercept with Duna
4. Perform the burn

I've done this for two vessels with the new patch released today (2018-02-23) and on both occasions the target was automatically
unset partway through the burn. This caused the maneuver node to get reset (where it thinks the maneuver is at the time you set up,
and for the original amount of delta-v that you set up, but as if you had not yet completed any of the burn), which messed up the orbit
prediction and required me to finish the burn by eye, rather than being able to follow the maneuver node to completion.

History

#2 - 03/18/2018 01:31 AM - BufordENewt
- Platform XBoxOne added

- Expansion Core Game added

Similar situation here, but on Xbox. Started with a Kerbin orbit of 74km, with maneuver set for Moho encounter. Begin burn with remaining booster
fuel, decouple boosters when fuel runs out, continue burn. At the point the craft reaches escape velocity, the maneuver target shifts to the other side
of the nav ball, and Moho is no longer targeted. Same thing happens each time | try this maneuver. Only happens when target is set to Moho - it
doesn't happen when the target is unset.

#3 - 04/27/2018 04:19 PM - bewing

| can't reproduce your error using the steps you've given. If | target Duna/Moho and create a manuever node -- then execute the burn until the ship is
escaping, nothing happens. The maneuver node and burn completes normally.

So there is some important step missing from your reproduction steps.

#4 - 04/27/2018 10:37 PM - jclovis3

| have seen the target drop many times, but usually linked to clicking something on the map view while trying to move the orientation of the camera
around. | don't do this during a burn as often, so your bug may be related to that mess instead. While trying to reproduce this just now, | noticed that
clicking anywhere on the orbit line of the planet you are targeting pops up with the option to unset target. This should be restricted to the planet only,
or at least impossible to unset target while burning (kind of a safety on the nav computer).

#5 - 04/28/2018 03:05 AM - BufordENewt

This happens every time | have a planet/moon targeted and a maneuver that enters or leaves the SOI of a body. When burning, once the ship's
trajectory changes SO, the target is unset and the maneuver is reset. | have to remember to always unset the target before initiating any maneuver -
if 1 do that, everything is fine. The ship doesn't seem to matter; it happens in both views. The only constants | can think of are that I'm playing in
career mode and using the radial control scheme.

#6 - 04/28/2018 07:36 AM - jclovis3

- File Set target.png added

- File Switch control with bracket.png added
- File Switch back and lose target.png added
- File Loses target bug.zip added
Add this to the list of ways target is lost. | have two vessels in orbit of Gilly about to dock. | set a target from the first onto the second, use the bracket

key to switch to the second craft and then again to jump back to the first craft. The target | just set is lost. Using the target node will be rather

bothersome in this instance. Save game included.

In this instance, my Gilly refueling ship was missing a place for an Engineer to sit, and I'm delivering a small part to stack in between two other parts
that happened to be connected with docking ports. I've already removed the tip from the refueling ship, and moved the new part in place. Now I'm

bringing the tip with the claw back before | release the miniature LF extension module.

Files
